from dataclasses import dataclass, field
from typing import List

from dataclasses_json import dataclass_json

from models.Logs import Logs
from models.LogRecord import LogRecord
from models.MapLayers import MapLayers
from models.ViewSettings import ViewSettings


@dataclass_json
@dataclass
class Project:
    view_settings: ViewSettings = field(default_factory=ViewSettings)
    map_layers: MapLayers = field(default_factory=MapLayers)
    logs: Logs = field(default_factory=Logs)